%global fontname scholarsfonts-cardo
%global fontconf 62-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        0.099 
Release:        3%{?dist}
Summary:        A font for scholarly use in classical and medieval languages

Group:          User Interface/X
License:        OFL
URL:            http://scholarsfonts.net/cardofnt.html
Source0:        http://scholarsfonts.net/cardo99.zip
Source1:        %{name}-fontconfig.conf
Source2:        cardo-license-confirmation-email.txt 

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem
Obsoletes:      cardo-fonts < 0.099-1

%description
Cardo is a large Unicode font specifically designed for the needs of 
classicists, Biblical scholars, medievalists, and linguists.  Since it may be
used to prepare materials for publication, it also contains features that are
required for high-quality typography, such as ligatures, text figures (also 
known as old style numerals), true small capitals and a variety of punctuation
and space characters.  It may also be used to document and discuss the features
of Unicode that are applicable to the these disciplines, as we work to help 
colleagues understand the value (and limitations) of Unicode.
This font has been revived in modern times under several names (Bembo, Aetna,
Aldine 401).

%prep
%setup -q -c


%build
cp -p %{SOURCE2} .

%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf

%doc Manual98a.pdf cardo-license-confirmation-email.txt


%changelog
* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.099-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jun 30 2010 Parag Nemade <pnemade AT redhat.com> - 0.099-2
- Include upstream confirmed license copy in %%doc

* Mon Jun 14 2010 Parag Nemade <pnemade AT redhat.com> - 0.099-1
- Renamed to follow fonts package naming guidelines.

* Wed May 26 2010 Parag Nemade <pnemade AT redhat.com> - 0.098-1
- Initial Fedora release.

